Переполнение буфера в IBM DB2 Administration Server

Дата публикации:
03.02.2011
Дата изменения:
03.02.2011
Всего просмотров:
1925
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:8.3/Temporal:6.1
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IBM DB2 9.x
Уязвимые версии: IBM DB2 версии до 9.1 Fix Pack 10, 9.5 Fix Pack 7 и 9.7 Fix Pack 3

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции receiveDASMessage() в db2dasrrm. Удаленный пользователь может с помощью специально сформированного запроса, отправленного на порт приложения 524/TCP, вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: www-306.ibm.com/software/data/db2/9/

Решение: Установите последнюю версию 9.1 Fix Pack 10, 9.5 Fix Pack 7 или 9.7 Fix Pack 3 с сайта производителя.

Ссылки: ZDI-11-036: IBM DB2 db2dasrrm receiveDASMessage Remote Code Execution Vulnerability
https://www-01.ibm.com/support/docview.wss?uid=swg1IC71203
https://www-01.ibm.com/support/docview.wss?uid=swg1IC72028
https://www-01.ibm.com/support/docview.wss?uid=swg1IC72029

или введите имя

CAPTCHA